List connection objects
curl --request GET \
--url https://api.engini.io/v1/connections/{connectionId}/Objects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engini.io/v1/connections/{connectionId}/Objects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/connections/{connectionId}/Objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"objectId": 123,
"name": "<string>",
"type": "<string>",
"isSelected": true
}
],
"totalCount": 123,
"offset": 123,
"top": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Connections
List connection objects
List the objects available through the given connection, with optional filtering, sorting, and pagination.
GET
/
v1
/
connections
/
{connectionId}
/
Objects
List connection objects
Authorizations
BearerApiKey
Enter your JWT token
Path Parameters
The identifier of the connection whose objects are listed.
Query Parameters
Optional name filter applied to the objects.
Optional sort expression for ordering the objects.
Zero-based index of the first item to return. Defaults to 0.
Maximum number of items to return (capped at 1000). Defaults to 100.
Response
A paginated list of connection objects.
Offset-based paginated wrapper for a list of items.
The items in the current page.
Show child attributes
Show child attributes
Total number of items available across all pages.
Number of items skipped before this page (the requested offset).
Maximum number of items requested for this page.
⌘I